//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2018.12.06 at 02:49:01 PM IST 
//


package io.mosip.kernel.core.cbeffutil.jaxbclasses;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SingleTypeType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <pre>
 * &lt;simpleType name="SingleTypeType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="Scent"/&gt;
 *     &lt;enumeration value="DNA"/&gt;
 *     &lt;enumeration value="Ear "/&gt;
 *     &lt;enumeration value="Face"/&gt;
 *     &lt;enumeration value="Finger"/&gt;
 *     &lt;enumeration value="Foot"/&gt;
 *     &lt;enumeration value="Vein"/&gt;
 *     &lt;enumeration value="HandGeometry"/&gt;
 *     &lt;enumeration value="Iris"/&gt;
 *     &lt;enumeration value="Retina"/&gt;
 *     &lt;enumeration value="Voice"/&gt;
 *     &lt;enumeration value="Gait"/&gt;
 *     &lt;enumeration value="Keystroke"/&gt;
 *     &lt;enumeration value="LipMovement"/&gt;
 *     &lt;enumeration value="SignatureSign"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "SingleType")
@XmlEnum
public enum SingleType {

    @XmlEnumValue("Scent")
    SCENT("Scent"),
    DNA("DNA"),
    @XmlEnumValue("Ear ")
    EAR("Ear "),
    @XmlEnumValue("Face")
    FACE("Face"),
    @XmlEnumValue("Finger")
    FINGER("Finger"),
    @XmlEnumValue("Foot")
    FOOT("Foot"),
    @XmlEnumValue("Vein")
    VEIN("Vein"),
    @XmlEnumValue("HandGeometry")
    HAND_GEOMETRY("HandGeometry"),
    @XmlEnumValue("Iris")
    IRIS("Iris"),
    @XmlEnumValue("Retina")
    RETINA("Retina"),
    @XmlEnumValue("Voice")
    VOICE("Voice"),
    @XmlEnumValue("Gait")
    GAIT("Gait"),
    @XmlEnumValue("Keystroke")
    KEYSTROKE("Keystroke"),
    @XmlEnumValue("LipMovement")
    LIP_MOVEMENT("LipMovement"),
    @XmlEnumValue("SignatureSign")
    SIGNATURE_SIGN("SignatureSign");
    private final String value;

    SingleType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static SingleType fromValue(String v) {
        for (SingleType c: SingleType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
